| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Properties | Private Member Functions | Private Attributes

# JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategyContext Class Reference

Collaboration diagram for JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategyContext:
[legend]

List of all members.

## Public Member Functions
void | PrettyPrintCharacter (char curChar, StringBuilder output)
void | AppendCurrentChar ()
void | AppendNewLine ()
void | BuildContextIndents ()
void | EnterObjectScope ()
void | CloseCurrentScope ()
void | EnterArrayScope ()
void | AppendSpace ()
void | ClearStrategies ()
void | AddCharacterStrategy (ICharacterStrategy strategy)
## Public Attributes
int | SpacesPerIndent = 4
bool | IsProcessingVariableAssignment
## Properties
string | Indent`[get]`
bool | IsInArrayScope`[get]`
bool | IsProcessingDoubleQuoteInitiatedString`[get, set]`
bool | IsProcessingSingleQuoteInitiatedString`[get, set]`
bool | IsProcessingString`[get]`
bool | IsStart`[get]`
bool | WasLastCharacterABackSlash`[get]`
## Private Member Functions
void | InitializeIndent ()
void | AppendIndents (int indents)
## Private Attributes
const string | Space = " "
string | _indent = string.Empty
readonly PPScopeState | _scopeState = new PPScopeState()
char | _previousChar
readonly IDictionary< char, ICharacterStrategy > | _strategyCatalog = new Dictionary<char, ICharacterStrategy>()
StringBuilder | _outputBuilder
char | _currentCharacter

## Member Function Documentation

void JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategyContext::InitializeIndent | ( |  | ) | `[inline, private]`

void JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategyContext::AppendIndents | ( | int | indents | ) | `[inline, private]`

void JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategyContext::PrettyPrintCharacter | ( | char | curChar,
|  | StringBuilder | output
| ) |  | `[inline]`

void JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategyContext::AppendCurrentChar | ( |  | ) | `[inline]`

void JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategyContext::AppendNewLine | ( |  | ) | `[inline]`

void JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategyContext::BuildContextIndents | ( |  | ) | `[inline]`

void JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategyContext::EnterObjectScope | ( |  | ) | `[inline]`

void JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategyContext::CloseCurrentScope | ( |  | ) | `[inline]`

void JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategyContext::EnterArrayScope | ( |  | ) | `[inline]`

void JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategyContext::AppendSpace | ( |  | ) | `[inline]`

void JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategyContext::ClearStrategies | ( |  | ) | `[inline]`

void JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategyContext::AddCharacterStrategy | ( | ICharacterStrategy | strategy | ) | `[inline]`

## Member Data Documentation

const string JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategyContext::Space = " "`[private]`

int JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategyContext::SpacesPerIndent = 4

string JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategyContext::_indent = string.Empty`[private]`

readonly PPScopeState JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategyContext::_scopeState = new PPScopeState()`[private]`

bool JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategyContext::IsProcessingVariableAssignment

char JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategyContext::_previousChar`[private]`

readonly IDictionary<char, ICharacterStrategy> JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategyContext::_strategyCatalog = new Dictionary<char, ICharacterStrategy>()`[private]`

StringBuilder JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategyContext::_outputBuilder`[private]`

char JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategyContext::_currentCharacter`[private]`

## Property Documentation

string JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategyContext::Indent`[get]`

bool JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategyContext::IsInArrayScope`[get]`

bool JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategyContext::IsProcessingDoubleQuoteInitiatedString`[get, set]`

bool JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategyContext::IsProcessingSingleQuoteInitiatedString`[get, set]`

bool JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategyContext::IsProcessingString`[get]`

bool JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategyContext::IsStart`[get]`

bool JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategyContext::WasLastCharacterABackSlash`[get]`

The documentation for this class was generated from the following file:

- JsonPPStrategyContext.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events